Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.resolution
Class ImplicitBindingCreator

    java.lang.Object
      com.google.gwt.inject.rebind.resolution.ImplicitBindingCreator

    public class ImplicitBindingCreator

extends java.lang.Object

Class responsible for creating implicit bindings. This returns the binding entry that should be used for the given type. It does not concern itself with satisfying the dependencies or with figuring out where the binding should appear. For that, see `BindingResolver`.

Nested Class Summary
`static class` | `ImplicitBindingCreator.BindingCreationException` Exception thrown to indicate an error occurred during binding creation.
`static interface` | `ImplicitBindingCreator.Factory`

Constructor Summary
`ImplicitBindingCreator(BindingFactory bindingFactory, com.google.gwt.core.ext.GeneratorContext generatorContext, com.google.gwt.core.ext.TreeLogger logger)`

Method Summary
`Binding` | `create(Key<?> key)` Creates the implicit binding

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImplicitBindingCreator

    @Inject
    public ImplicitBindingCreator(BindingFactory bindingFactory,
                                         com.google.gwt.core.ext.GeneratorContext generatorContext,
                                         com.google.gwt.core.ext.TreeLogger logger)

Method Detail

### create

    public Binding create(Key<?> key)
                   throws ImplicitBindingCreator.BindingCreationException

  Creates the implicit binding

  Throws:
    `ImplicitBindingCreator.BindingCreationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD